Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360790 - [abrt] general protection fault in __kmalloc [NEEDINFO]
Summary: [abrt] general protection fault in __kmalloc
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d9d831f9bfda32e5c2ccbbc4308...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-27 13:37 UTC by Marek Michał Mazur
Modified: 2016-10-26 16:58 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-26 16:58:32 UTC
labbott: needinfo? (marek90)


Attachments (Terms of Use)
File: dmesg (deleted)
2016-07-27 13:37 UTC, Marek Michał Mazur
no flags Details

Description Marek Michał Mazur 2016-07-27 13:37:14 UTC
Description of problem:
Error on system boot up.

Additional info:
reporter:       libreport-2.7.2
general protection fault: 0000 [#1] SMP 
Modules linked in: snd_soc_core snd_hda_intel snd_compress snd_hda_codec irqbypass joydev snd_pcm_dmaengine crct10dif_pclmul ac97_bus crc32_pclmul ghash_clmulni_intel snd_hda_core snd_hwdep mei_me mei snd_seq snd_seq_device snd_pcm snd_soc_sst_acpi snd_soc_sst_match acpi_pad elan_i2c shpchp lpc_ich spi_pxa2xx_platform dell_rbtn i2c_i801 snd_timer snd rfkill soundcore tpm_tis tpm i2c_designware_platform i2c_designware_core nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc rtsx_usb_sdmmc rtsx_usb hid_multitouch nouveau i915 mxm_wmi ttm crc32c_intel i2c_algo_bit drm_kms_helper 8021q garp serio_raw drm stp llc mrp r8169 mii sdhci_acpi wmi sdhci video mmc_core fjes i2c_hid
CPU: 1 PID: 632 Comm: systemd-udevd Not tainted 4.6.4-301.fc24.x86_64 #1
Hardware name: Dell Inc. Inspiron 5749/001R5X, BIOS A08 05/13/2016
task: ffff88003fbf1e80 ti: ffff88024b804000 task.ti: ffff88024b804000
RIP: 0010:[<ffffffff81223154>]  [<ffffffff81223154>] __kmalloc+0xa4/0x220
RSP: 0018:ffff88024b807bd0  EFLAGS: 00010246
RAX: 000088024840fbc0 RBX: 00000000024000c0 RCX: 000000000000001e
RDX: 00000000000034a5 RSI: 0000000000000000 RDI: 000000000001a3c0
RBP: ffff88024b807c00 R08: ffff880256c9a3c0 R09: 0000000000000000
R10: 000088024840fbc0 R11: fefefefefefefeff R12: 00000000024000c0
R13: 000000000000003e R14: ffff88024e003900 R15: ffff88024e003900
FS:  00007fd1e8b6e8c0(0000) GS:ffff880256c80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007ffdd93e7ff8 CR3: 000000024ae6e000 CR4: 00000000003406e0
Stack:
 ffffffff8126fe08 ffff88024842c7f0 000000000000001e ffff88009d8b14c0
 0000000000000000 000000000000001e ffff88024b807c28 ffffffff8126fe08
 ffff88024842c7f0 ffff88024b807d78 000000000000001e ffff88024b807c68
Call Trace:
 [<ffffffff8126fe08>] ? simple_xattr_alloc+0x28/0x60
 [<ffffffff8126fe08>] simple_xattr_alloc+0x28/0x60
 [<ffffffff8126ff13>] simple_xattr_set+0x33/0x140
 [<ffffffff811d58ea>] shmem_xattr_handler_set+0x3a/0x50
 [<ffffffff8126edc4>] generic_setxattr+0x64/0x80
 [<ffffffff8126f52c>] __vfs_setxattr_noperm+0xac/0x1a0
 [<ffffffff81359ab5>] ? security_inode_setxattr+0x65/0xb0
 [<ffffffff8126f6c7>] vfs_setxattr+0xa7/0xb0
 [<ffffffff8126f823>] setxattr+0x153/0x180
 [<ffffffff81222c5f>] ? kmem_cache_alloc+0x17f/0x1d0
 [<ffffffff8125931f>] ? getname_flags+0x4f/0x1f0
 [<ffffffff8125933f>] ? getname_flags+0x6f/0x1f0
 [<ffffffff810f2132>] ? percpu_down_read+0x12/0x50
 [<ffffffff8126f903>] path_setxattr+0xb3/0xe0
 [<ffffffff8126fa61>] SyS_lsetxattr+0x11/0x20
 [<ffffffff81003d92>] do_syscall_64+0x62/0x110
 [<ffffffff817e0821>] entry_SYSCALL64_slow_path+0x25/0x25
Code: 49 83 78 10 00 4d 8b 10 0f 84 23 01 00 00 4d 85 d2 0f 84 1a 01 00 00 49 63 47 20 49 8b 3f 4c 01 d0 40 f6 c7 0f 0f 85 6f 01 00 00 <48> 8b 18 48 8d 4a 01 4c 89 d0 65 48 0f c7 0f 0f 94 c0 84 c0 74 
RIP  [<ffffffff81223154>] __kmalloc+0xa4/0x220

Comment 1 Marek Michał Mazur 2016-07-27 13:37:25 UTC
Created attachment 1184659 [details]
File: dmesg

Comment 2 Laura Abbott 2016-09-23 19:20:16 UTC
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.
 
Fedora 24 has now been rebased to 4.7.4-200.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 25, and are still experiencing this issue, please change the version to Fedora 25.
 
If you experience different issues, please open a new bug report for those.

Comment 3 Laura Abbott 2016-10-26 16:58:32 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.